<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<title>Prototype: Livesearch of a Department/Subject List (jQuery)</title>
</head>
<style type="text/css">
    body {background:#fff;font-size:13px;font-family:arial,helvetica,sans-serif;}
    #header{position:relative;line-height:1em;}
    .filterform {width:100%;font-size:12px;display:block;}
    .filterform input {-moz-border-radius:5px;border-radius:5px;-webkit-border-radius:5px;}
</style> 
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script> 
<script type="text/javascript">  
	(function ($) {
	  // custom css expression for a case-insensitive contains()
	  jQuery.expr[':'].Contains = function(a,i,m){
		  return (a.textContent || a.innerText || "").toUpperCase().indexOf(m[3].toUpperCase())>=0;
	  };
	 
	  function listFilter(header, list) { // header is any element, list is an unordered list
		// create and add the filter form to the header
		var form = $("<form>").attr({"class":"filterform","action":"#"}),
			input = $("<input>").attr({"class":"filterinput","type":"text"});
		$(form).append(input).appendTo(header);
	 
		$(input)
		  .change( function () {
			var filter = $(this).val();
			if(filter) {
			  // this finds all links in a list that contain the input,
			  // and hide the ones not containing the input while showing the ones that do
			  $(list).find("a:not(:Contains(" + filter + "))").parent().slideUp();
			  $(list).find("a:Contains(" + filter + ")").parent().slideDown();
			} else {
			  $(list).find("li").slideDown();
			}
			return false;
		  })
		.keyup( function () {
			// fire the above change event after every letter
			$(this).change();
		});
	  }
	 
	  // ondomready - once page has loaded...
	  $(function () {
		listFilter($("#header"), $("#list"));
	  });
	}(jQuery));
</script> 
</head> 
<body>
<h2>Livesearch of a Department/Subject List (jQuery)</h2>
<h2 id="header">Search/Filter</h2> 
<ul id="list">
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=+Veterinary+Molecular+Biology"> Veterinary Molecular Biology (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Agricultural+Education">Agricultural Education (14 items)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Animal+and+Range+Sciences">Animal and Range Sciences (40 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Applied+Economics">Applied Economics (27 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Applied+Psychology">Applied Psychology (26 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Architecture">Architecture (53 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Biochemistry">Biochemistry (12 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Biological+Sciences">Biological Sciences (33 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Chemical+Engineering">Chemical Engineering (11 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Chemistry">Chemistry (23 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Civil+Engineering">Civil Engineering (16 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Computer+Science">Computer Science (23 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Curriculum+%26+Instruction">Curriculum & Instruction (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Curriculum+and+Instruction">Curriculum and Instruction (2 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Earth+Sciences">Earth Sciences (46 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Ecology+and+Environmental+Sciences">Ecology and Environmental Sciences (9 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Education">Education (44 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Education+Leadership">Education Leadership (2 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Educational+Leadership">Educational Leadership (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Electrical+and+Computer+Engineering">Electrical and Computer Engineering (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Electrical+Engineering">Electrical Engineering (46 items)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Engineering">Engineering (22 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=English">English (30 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Entomology">Entomology (14 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Environmental+Engineering">Environmental Engineering (12 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Exercise+and+Nutrition+Sciences">Exercise and Nutrition Sciences (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Exercise+Physiology">Exercise Physiology (3 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Fine+Arts">Fine Arts (20 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Fish+and+Wildlife+Biology">Fish and Wildlife Biology (11 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Fish+and+Wildlife+Management">Fish and Wildlife Management (36 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Health+and+Human+Development">Health and Human Development (21 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Higher+Education+Administration">Higher Education Administration (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=History">History (10 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Industrial+and+Management+Engineering">Industrial and Management Engineering (10 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Land+Rehabilitation">Land Rehabilitation (22 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Land+Resources+and+Environmental+Sciences">Land Resources and Environmental Sciences (41 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Mathematics">Mathematics (20 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Mechanical+Engineering">Mechanical Engineering (36 items)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Microbiology">Microbiology (24 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Native+American+Studies">Native American Studies (10 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Neuroscience">Neuroscience (3 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Nursing">Nursing (57 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Physics">Physics (25 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Plant+Pathology">Plant Pathology (7 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Plant+Science">Plant Science (3 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Plant+Sciences">Plant Sciences (24 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Science+%26+Natural+History+Fillmmaking">Science & Natural History Fillmmaking (1 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Science+and+Natural+History+Filmmaking">Science and Natural History Filmmaking (57 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Statistics">Statistics (3 items)</a></li> 
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?program=Veterinary+Molecular+Biology">Veterinary Molecular Biology (15 items)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vegetation+mapping--Montana">Vegetation mapping--Montana (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vehicles--Motors--Exhaust+gas">Vehicles--Motors--Exhaust gas (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Venture+capital--United+States">Venture capital--United States (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Verbal+learning">Verbal learning (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vertebrates--Evolution">Vertebrates--Evolution (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vertical+integration--Government+policy--United+States">Vertical integration--Government policy--United States (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Violence+in+literature">Violence in literature (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Viral+genetics">Viral genetics (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Viral+hemorrhagic+septicemia">Viral hemorrhagic septicemia (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Virtual+reality">Virtual reality (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Virus+diseases">Virus diseases (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Viruses">Viruses (3)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Viscoelastic+materials">Viscoelastic materials (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Viscoelasticity">Viscoelasticity (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Visual+Programming">Visual Programming (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vitamin+E">Vitamin E (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Volatile+organic+compounds--Testing">Volatile organic compounds--Testing (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Volcanoes--West+Indies">Volcanoes--West Indies (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Voltage+dividers">Voltage dividers (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Voltage+regulators">Voltage regulators (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Volunteers">Volunteers (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Voyeurism">Voyeurism (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Vulcanism">Vulcanism (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Wages">Wages (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Walking--Measurement">Walking--Measurement (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Walking--Physiological+aspects">Walking--Physiological aspects (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Walleye+%28Fish%29--Habitat">Walleye (Fish)--Habitat (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Walleye+%28Fish%29--Montana">Walleye (Fish)--Montana (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water+quality">Water quality (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water+quality+management">Water quality management (3)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water+rights--California">Water rights--California (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water--California">Water--California (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water--Law+and+legislation--California">Water--Law and legislation--California (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water--Microbiology">Water--Microbiology (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water--Organic+compound+content">Water--Organic compound content (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water--Purification--Filtration">Water--Purification--Filtration (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Water-supply">Water-supply (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Watercolor+painting">Watercolor painting (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Waterfowl--Breeding--Alberta">Waterfowl--Breeding--Alberta (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Waterfowl--Habitat--Alberta">Waterfowl--Habitat--Alberta (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Watershed+management--Montana">Watershed management--Montana (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Watershed+restoration">Watershed restoration (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Waterton-Glacier+International+Peace+Park+%28Mont.+and+Alta.%29">Waterton-Glacier International Peace Park (Mont. and Alta.) (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Wave+guides">Wave guides (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Wavelength+division+multiplexing">Wavelength division multiplexing (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Weathering">Weathering (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Weatherscape+%28Motion+picture%29">Weatherscape (Motion picture) (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Web+sites">Web sites (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Web-based+instruction--Evaluation">Web-based instruction--Evaluation (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Webcasting">Webcasting (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+County+%28Mont.%29--History">Yellowstone County (Mont.)--History (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+cutthroat+trout">Yellowstone cutthroat trout (2)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+Lake+%28Wyo.%29">Yellowstone Lake (Wyo.) (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+National+Park">Yellowstone National Park (11)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+National+Park+Region">Yellowstone National Park Region (7)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+National+Park--Description+and+travel">Yellowstone National Park--Description and travel (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+National+Park--Tourism">Yellowstone National Park--Tourism (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+Park+Company">Yellowstone Park Company (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+River">Yellowstone River (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Yellowstone+River+Watershed">Yellowstone River Watershed (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Youth+development">Youth development (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Youth--Tobacco+use--Montana--Crow+Indian+Reservation">Youth--Tobacco use--Montana--Crow Indian Reservation (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Zinc">Zinc (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Zinc--Toxicology">Zinc--Toxicology (1)</a></li>
    <li><a href="http://etd.lib.montana.edu/etd/view/results.php?subject=Zitkala-Sa%2C--1876-1938.--Criticism+and+interpretation">Zitkala-Sa,--1876-1938.--Criticism and interpretation (1)</a></li>
</ul>
<p><a href="./index.phps">view code</a> | <a href="../../../files.php">get .zip file</a></p>
</body>
</html>